> For the complete documentation index, see [llms.txt](https://docs.swivel.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swivel.finance/developers/swivel.py/swivel/swivel.abstracts/swivel.abstracts.vault_tracker.md).

# swivel.abstracts.vault\_tracker

### Classes

#### Class `VaultTracker` <a href="#id" id="id"></a>

> ```
> class VaultTracker
> ```

Persists and curates Vault objects associated with users

Note that a Vault is a Dict object in this form:

```
{ notional, redeemable, exchangerate }

```

**Ancestors**

* [swivel.abstracts.deployed.Deployed](#id-13)

**Descendants**

* [swivel.contracts.vault\_tracker.VaultTracker](#id-19)

**Methods**

**Method `admin`**

> ```
> def admin(
>     self,
>     opts=None
> )
> ```

The stored admin address for this contract

Note that this should always be the MarketPlace address

### Returns

web3 callable, opts

**Method `balances_of`**

> ```
> def balances_of(
>     self,
>     o,
>     opts=None
> )
> ```

Get Vault balances for a given user

### Parameters

o (string) Address of the vault owner

### Returns

web3 callable, opts

**Method `c_token_address`**

> ```
> def c_token_address(
>     self,
>     opts=None
> )
> ```

Adress of the compound token referenced by this vault tracker

### Returns

web3 callable, opts

**Method `maturity`**

> ```
> def maturity(
>     self,
>     opts=None
> )
> ```

An Epoch (in seconds) representing the time of maturity

### Returns

web3 callable, opts

**Method `maturity_rate`**

> ```
> def maturity_rate(
>     self,
>     opts=None
> )
> ```

The maturity rate (TODO: better description)

### Returns

web3 callable, opts

**Method `swivel`**

> ```
> def swivel(
>     self,
>     opts=None
> )
> ```

Address of the associated Swivel contract deployment

### Returns

web3 callable, opts

**Method `vaults`**

> ```
> def vaults(
>     self,
>     o,
>     opts=None
> )
> ```

Get a Vault for a given address

### Parameters

o (string) Address of the vault owner

### Returns

web3 callable, opts


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.swivel.finance/developers/swivel.py/swivel/swivel.abstracts/swivel.abstracts.vault_tracker.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
